// This file is released under the 3-clause BSD license. See COPYING-BSD.


s = poly(0,'s');
H = 1 / (1 + 2 * s);

sys = syslin('c', H);
linear_sys = tf2ss(sys);

// discretization with Te sampling
Te = 0.1;
Tfstep = 10.0;

// predictive parameters
N1 = 10;
N2 = 10;
Nu = 1;
Lambda = 0.000001

[R, Sfinal, T, Hboc] = compute_predictive_rst(linear_sys, Te, Tfstep, N1, N2, Nu, Lambda);
